include "application"

akka {
  actor {
    system = "multi-actor-system"
    provider = cluster
    serializers {
      java = "akka.serialization.JavaSerializer"
      proto = "akka.remote.serialization.ProtobufSerializer"
    }
  }
  remote {
    enabled-transports = ["akka.remote.netty.tcp"]
    netty.tcp {
      hostname = "127.0.0.1"
      port = 0
    }
  }
  cluster {
    roles = ["poi-system","node1"]
    seed-nodes = [
      "akka.tcp://multi-actor-system@127.0.0.1:2553",
      "akka.tcp://multi-actor-system@127.0.0.1:2554"
    ]
    sharding{
      # Ref: https://doc.akka.io/docs/akka/current/cluster-sharding.html
      role = poi-system
      rememberEntities = true
      passivate-idle-entity-after = off
      coordinator-failure-backoff = 5 s
      retry-interval = 2 s
      buffer-size = 100000
      handoff-timeout = 60 s
      shard-start-timeout = 10 s
      distributed-data.durable.keys = []
    }
  }
  loglevel = "INFO"
  log-sent-messages = on
  log-received-messages = on
  extensions = [akka.persistence.Persistence]
  persistence.max-concurrent-recoveries = 50
  persistence {

    journal {
      plugin = "akka.persistence.journal.leveldb"
      auto-start-journals = ["akka.persistence.journal.leveldb"]
      leveldb.dir = "target/db/poi-system-node1/journal"
    }

    snapshot-store {
      plugin = "akka.persistence.snapshot-store.local"
      auto-start-snapshot-stores = ["akka.persistence.snapshot-store.local"]
      local.dir = "target/db/poi-system-node1/snapshot"
    }
  }
}


